server:
#  port: 18080
  servlet:
    context-path: /
    
#  ssl: 
#    enabled: true
#    key-alias: fimskeystore
#    key-store: classpath:fimskeystore.pkcs12
#    key-store-password: 'Xit5811807@)@#'
#    key-password: 'Xit5811807@)@#'
#    trust-store: classpath:fimstrust.pkcs12
#    trust-store-password: 'Xit5811807@)@#'
    
#  tomcat:
#    remoteip:
#      protocol-header-https-value: https             
    
spring:
  application:
    name: fims

  main:
    allow-bean-definition-overriding: true
#    web-application-type: SERVLET
  sql:
    init:
      platform: mariadb

  datasource:
    hikari:
      driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
      jdbc-url: jdbc:log4jdbc:mariadb://211.119.124.9:4407/platform?useUnicode=true&characterEncoding=utf8&serverTimezone=Asia/Seoul&useSSL=false&autocommit=false
      username: fimsweb
      password: fimsweb!@
      auto-commit: false

  mvc:
    static-path-pattern: /resources/**,/files/**
  web:
    resources:
      static-locations: /resources/,file:files/
    
messageSource:
  basenames:
    - classpath:message/message-common
    - classpath:message/authentication-message
    - classpath:org/egovframe/rte/fdl/property/messages/properties

propertyService:
  properties:
    - tempDir: C:\temp
    - pageUnit: 10
    - pageSize: 10
    - permitAccess: /api/**/*.do,/interface/**/*.do
  extFileName:
    - encoding: UTF-8
      filename: classpath*:intf-conf/xit-lvis.properties
